Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.spi
Class NonManagedConnectionEventListener

    java.lang.Object
      com.bea.adapter.spi.NonManagedConnectionEventListener

All Implemented Interfaces:
  javax.resource.spi.ConnectionEventListener, EventListener, Serializable

public class NonManagedConnectionEventListener
extends Object
implements javax.resource.spi.ConnectionEventListener, Serializable

Used by a `NonManagedConnectionManager` instance to react to notifications from a `ManagedConnection` instance.

Author:
  Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`NonManagedConnectionEventListener(LogContext logContext)`

Method Summary
`void` | `connectionClosed(javax.resource.spi.ConnectionEvent event)` A `ManagedConnection` instance calls this method to notify its registered set of listeners when an application component closes a connection handle.
`void` | `connectionErrorOccurred(javax.resource.spi.ConnectionEvent event)` A `ManagedConnection` instance calls this method to notify its registered set of listeners of the occurrance of a physical connection-related error.
`protected String` | `getEventInfo(ILogger logger, javax.resource.spi.ConnectionEvent event)`
`protected String` | `getEventTypeString(javax.resource.spi.ConnectionEvent event)`
`protected LogContext` | `getLogContext()` Retrieves an object that determines the logging configuration for this instance in the logging framework.
`protected ILogger` | `getLogger()` Retrieves an object used to log information to.
`void` | `localTransactionCommitted(javax.resource.spi.ConnectionEvent event)` A `ManagedConnection` instance calls this method to notify its registered set of listeners of the occurrance of a transaction related event.
`void` | `localTransactionRolledback(javax.resource.spi.ConnectionEvent event)` A `ManagedConnection` instance calls this method to notify its registered set of listeners of the occurrance of a transaction related event.
`void` | `localTransactionStarted(javax.resource.spi.ConnectionEvent event)` A `ManagedConnection` instance calls this method to notify its registered set of listeners of the occurrance of a transaction related event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonManagedConnectionEventListener

    public NonManagedConnectionEventListener(LogContext logContext)

Method Detail

### connectionClosed

    public void connectionClosed(javax.resource.spi.ConnectionEvent event)

  A `ManagedConnection` instance calls this method to notify its registered set of listeners when an application component closes a connection handle. This method logs the event and destroys the connection.

  Specified by:
    `connectionClosed` in interface `javax.resource.spi.ConnectionEventListener`
  Parameters:
    `event` - - provides information about the source of a connection-related event.

### connectionErrorOccurred

    public void connectionErrorOccurred(javax.resource.spi.ConnectionEvent event)

  A `ManagedConnection` instance calls this method to notify its registered set of listeners of the occurrance of a physical connection-related error. This method logs the event and destroys the connection.

  Specified by:
    `connectionErrorOccurred` in interface `javax.resource.spi.ConnectionEventListener`
  Parameters:
    `event` - - provides information about the source of a connection-related event.

### getEventInfo

    protected String getEventInfo(ILogger logger,
                                  javax.resource.spi.ConnectionEvent event)

  Returns:
    I18N information about an event.

### getEventTypeString

    protected String getEventTypeString(javax.resource.spi.ConnectionEvent event)

  Returns:
    a String representation of the event type.
  See Also:
    `event types`

### getLogContext

    protected LogContext getLogContext()

  Retrieves an object that determines the logging configuration for this instance in the logging framework.

  Returns:
    an object that determines the logging configuration for this instance.

### getLogger

    protected ILogger getLogger()

  Retrieves an object used to log information to. This method uses the adapter's logical name to determine its logger. Adapter developers can override this method to return a logger that is not based solely on the supplied logging context.

  Returns:
    an object used to log information to.

### localTransactionCommitted

    public void localTransactionCommitted(javax.resource.spi.ConnectionEvent event)

  A `ManagedConnection` instance calls this method to notify its registered set of listeners of the occurrance of a transaction related event. This method logs the event.

  Specified by:
    `localTransactionCommitted` in interface `javax.resource.spi.ConnectionEventListener`
  Parameters:
    `event` - - provides information about the source of a connection-related event.

### localTransactionRolledback

    public void localTransactionRolledback(javax.resource.spi.ConnectionEvent event)

  A `ManagedConnection` instance calls this method to notify its registered set of listeners of the occurrance of a transaction related event. This method logs the event.

  Specified by:
    `localTransactionRolledback` in interface `javax.resource.spi.ConnectionEventListener`
  Parameters:
    `event` - - provides information about the source of a connection-related event.

### localTransactionStarted

    public void localTransactionStarted(javax.resource.spi.ConnectionEvent event)

  A `ManagedConnection` instance calls this method to notify its registered set of listeners of the occurrance of a transaction related event. This method logs the event.

  Specified by:
    `localTransactionStarted` in interface `javax.resource.spi.ConnectionEventListener`
  Parameters:
    `event` - - provides information about the source of a connection-related event.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD